net.sf.jasperreports.engine.component

## Interface ComponentManager

- All Known Implementing Classes:
    ComponentsManager, DefaultComponentManager, IconLabelComponentManager

      public interface ComponentManager

  A component manager is the entry point through which the handlers for a single component type can be accessed.
  Version:
    $Id: ComponentManager.java 6929 2014-02-25 15:46:46Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    `ComponentsEnvironment.getManager(ComponentKey)`, `ComponentsBundle.getComponentManager(String)`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ComponentCompiler` | `getComponentCompiler(JasperReportsContext jasperReportsContext)` Returns the component compiler.
    `ComponentFillFactory` | `getComponentFillFactory(JasperReportsContext jasperReportsContext)` Returns the factory of fill component instances.
    `ComponentXmlWriter` | `getComponentXmlWriter(JasperReportsContext jasperReportsContext)` Returns the component XML writer.
    `ComponentDesignConverter` | `getDesignConverter(JasperReportsContext jasperReportsContext)` Returns the design component preview converter.

- - ### Method Detail

    - #### getComponentCompiler

          ComponentCompiler getComponentCompiler(JasperReportsContext jasperReportsContext)

      Returns the component compiler.
      Returns:
        the component compiler

    - #### getComponentXmlWriter

          ComponentXmlWriter getComponentXmlWriter(JasperReportsContext jasperReportsContext)

      Returns the component XML writer.
      Returns:
        the component XML writer

    - #### getComponentFillFactory

          ComponentFillFactory getComponentFillFactory(JasperReportsContext jasperReportsContext)

      Returns the factory of fill component instances.
      Returns:
        the factory of fill component instances

    - #### getDesignConverter

          ComponentDesignConverter getDesignConverter(JasperReportsContext jasperReportsContext)

      Returns the design component preview converter.

      May be `null`, in which case a static icon is used when previewing a report that contains an instance of the component.

      Returns:
        the design component preview converter, or `null` if no such converter exists for the component.

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com